### Method

# Devhelp Settings set_book_enabled

since: 3.30

#### Declaration [src]

    void
    dh_settings_set_book_enabled (
      DhSettings* settings,
      DhBook* book,
      gboolean enabled
    )

#### Description [src]

Modifies the “books-disabled” `GSettings` key. It adds or removes the `book` ID from “books-disabled”.

Available since: 3.30

#### Parameters

`book`

  Type: `DhBook`

  A `DhBook`.

  The data is owned by the caller of the method.

`enabled`

  Type: `gboolean`

  The new value.